package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 采购合同-基本信息表
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@TableName("purch_contract_basic_info_history")
public class PurchContractBasicInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主表id
     */
    @TableField("partner_entity_id")
    private Long partnerEntityId;
    /**
     * 合同编号
     */
    @TableField("contract_number")
    private String contractNumber;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 供应商名称
     */
    @TableField("supplier_name")
    private String supplierName;

    /**
     * 需方公司名称
     */
    @TableField("buyer_name")
    private String buyerName;

    /**
     * 项目名称
     */
    @TableField("project_name")
    private String projectName;

    /**
     * 采购合同期限
     */
//    @TableField("contract_period")
//    private String contractPeriod;

    /**
     * 回购方式（先息后本，仅本金）
     */
    @TableField("repurch_method")
    private String repurchMethod;

    /**
     * 合同约定金额类型（固定金额、适时网价）
     */
    @TableField("contract_plan_amount_type")
    private Integer contractPlanAmountType;

    /**
     * 合同约定金额
     */
    @TableField("contract_plan_amount")
    private BigDecimal contractPlanAmount;

    /**
     * 采购合同管理Id
     */
    @TableField("purch_contract_management_id")
    private Long purchContractManagementId;

    /**
     * 贸易平台id
     */
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }
    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

//    public String getContractPeriod() {
//        return contractPeriod;
//    }
//
//    public void setContractPeriod(String contractPeriod) {
//        this.contractPeriod = contractPeriod;
//    }


    public String getRepurchMethod() {
        return repurchMethod;
    }

    public void setRepurchMethod(String repurchMethod) {
        this.repurchMethod = repurchMethod;
    }

    public Integer getContractPlanAmountType() {
        return contractPlanAmountType;
    }

    public void setContractPlanAmountType(Integer contractPlanAmountType) {
        this.contractPlanAmountType = contractPlanAmountType;
    }

    public BigDecimal getContractPlanAmount() {
        return contractPlanAmount;
    }

    public void setContractPlanAmount(BigDecimal contractPlanAmount) {
        this.contractPlanAmount = contractPlanAmount;
    }
    public Long getPurchContractManagementId() {
        return purchContractManagementId;
    }

    public void setPurchContractManagementId(Long purchContractManagementId) {
        this.purchContractManagementId = purchContractManagementId;
    }

    public Long getPartnerEntityId() {
        return partnerEntityId;
    }

    public void setPartnerEntityId(Long partnerEntityId) {
        this.partnerEntityId = partnerEntityId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    @Override
    public String toString() {
        return "PurchContractBasicInfoHistory{" +
            "contractNumber=" + contractNumber +
            ", contractName=" + contractName +
            ", supplierName=" + supplierName +
            ", buyerName=" + buyerName +
            ", repurchMethod=" + repurchMethod +
            ", contractPlanAmountType=" + contractPlanAmountType +
            ", contractPlanAmount=" + contractPlanAmount +
            ", purchContractManagementId=" + purchContractManagementId +
        "}";
    }
}
